  function xk=M82newton(x0,eps,M)
% Solution of nonlinear equation: f(x)=sin(x)-0.1*x=0
% Newton method
%   x0  - initial approximation
%   eps - accuracy
%   M   - maximum number of iterations
  if exist('x0')==0
    x0=4.25; eps=0.0001; M=10;
  end
  x(1)=x0;  
  for i=2:M
      x(i)=x(i-1)-f(x(i-1))/fd(x(i-1));
      if (abs(x(i)-x(i-1))<eps), break; end
  end
  xk=x(end);
  ezplot('sin(x)-0.1*x',[-2 8]); grid on
  hold on; stem(x,f(x)); hold off
  line([x(1:end-1);x(2:end)],[f(x(1:end-1));...
                 zeros(1,length(x(2:end)))]);
  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  function y=f(x)
  y=sin(x)-0.1*x;
  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  function yd=fd(x)
  yd=cos(x)-0.1;
      
  
